Subject: Re: [bug#52960] [PATCH 0/2] Add hueplusplus and openrgb packages

From: Leo Famulari <[email-masked]>
Date: Thu, 6 Jan 2022 13:27:24 -0500

On Sun, Jan 02, 2022 at 05:12:56PM +0000, John Kehayias via Guix-patches via wrote:
> Hi Guix,
> 
> Incoming are two patches for control of hardware lights, hueplusplus (the Hue lighting system, but I haven't tried it) and OpenRGB. I've been using OpenRGB on my computer to control all those LEDs and it has worked well. The package includes needed udev rules, but that could be split out if desired (is just a single file in the source tree).
> 
> Both packages required some unbundling, mbedtls for hueplusplus and json plus hueplusplus for OpenRGB. OpenRGB has other libraries in the dependencies folder, but as far as I can tell the others are either for different systems (Windows), or are modified/updated versions of other libraries. A few also just seem like smaller helper libraries that only live in there. Please let me know if I missed something though.

Thanks! I pushed as b1cf1d44f402cef3fccbb37277554bc7d5dd27d4 with the
following changes:

I changed the license of hueplusplus from lgpl3 to lgpl3+. This is
because the source file license headers all say "either version 3 of the License, or
(at your option) any later version." For example:

https://github.com/enwi/hueplusplus/blob/master/src/Schedule.cpp

>From the hueplusplus description, I removed from the feature list
"tested with google test", since we aren't doing that yet.

I alo removed some of the so-called "marketing language" from the
synopsis and description of hueplusplus. For example, "simple and easy
to use". This subject is mentioned here:

https://guix.gnu.org/manual/devel/en/html_node/Synopses-and-Descriptions.html

For OpenRGB, I changed the arguments field to use the new style, with
G-Expressions. And I removed the phrase "Open source" from its synopsis.
Everything in Guix is free and open source, so we don't mention it :)

Thanks again for these contributions!